# Function forAddress

- forAddress(address, settings?): Promise<ContractInstanceDecoder>

- This function is asynchronous.

  Constructs a contract instance decoder for a given instance of a contract in this project. Unlike the other functions, this method doesn't require giving an artifact for the address itself; however, the address had better correspond to a contract of a type given in the project info, or you'll get an exception.

  #### Parameters

  - ##### address: string

    The address of the contract instance to decode. If an invalid address is provided, this method will throw an exception.

  - ##### settings: DecoderSettings = {}

    The [[DecoderSettings]] to use, including the provider; see the documentation for that type for more information.

  #### Returns Promise<ContractInstanceDecoder>

  - Defined in decoder/lib/index.ts:375

Generated using TypeDoc